{
    attributes = (
        {
            columnName = IDIPL_NUMERO; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = ETUD_NUMERO; }; 
            name = idiplNumero; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MENT_KEY; 
            externalType = NUMBER; 
            name = mentKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (mentKey, idiplNumero); 
    className = EOGenericRecord; 
    classProperties = (mentKey, idiplNumero, toScolMasqueEntete); 
    externalName = SCOL_MASQUE_EDITION; 
    fetchSpecificationDictionary = {}; 
    name = ScolMasqueEdition; 
    primaryKeyAttributes = (mentKey, idiplNumero); 
    relationships = (
        {
            destination = ScolMasqueEntete; 
            internalInfo = {_nameInObjectStore = scolMasqueEntete; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = mentKey; sourceAttribute = mentKey; }); 
            name = toScolMasqueEntete; 
        }
    ); 
}
